<?php
	session_start(); 
	require_once('inc/conn.php');
	require_once('inc/constant.php');
	require_once('inc/ls_syscode.php');
	require_once('inc/check.php');
	$opendb=new mydb();
	$opertb=new mytb();

	require_once('inc/char_set.php');

	$nowNum=$_GET['nowNum'];

	if ($_GET['ls_msg']=="")
	{
		$ls_msg="车间图片管理操作";
	}	
	else
	{
		$ls_msg=$_GET['ls_msg'];	
	}
		$ls=$_GET['ls'];
		$id=$_GET['id'];
		
	$opertb->table="ls_workshop";
	$opertb->id=$id;
	switch ($ls)
	{
		case "up":
			$ls_msg=$opertb->up($nowNum);
			break;

		case "down":
			$ls_msg=$opertb->down($nowNum);
			break;
			
	 	case "unenable":
			$ls_msg=$opertb->unenable();
			break; 
			
		case "enable":
			$ls_msg=$opertb->enable();
			break;
			
		case "del":
			$ls_msg=$opertb->delwfile($WorkShopFolders."/".$BigFoldersProducts,$WorkShopFolders."/".$SmallFoldersProducts,"workshopPic");
			break;

	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<link href="css/admin.css" rel="stylesheet" type="text/css">
		<script language="JavaScript" src="js/ls.js"></script>
		<title>无标题文档</title>
	</head>

 <body>
	<table width="96%" border="0" align="center" cellpadding="1" cellspacing="1" bgcolor="#6396d6">
			<tr>
				<td height="18" background="images/admin_bg.gif"><div align="center"><font color="#ffffff"><strong>工厂管理</strong></font></div>
				</td>
			</tr>
			<tr>
				<td height="213" valign="top" bgcolor="#dee7ff"><br>
					<form name="del" method="Post" action="delall.php" onSubmit="return ConfirmDel();">
					<table border="0" width="90%" align="center">
						<tr>
							<td style="border-bottom:1px solid #FFF;">提示：<font color="#FF0000"><?php echo $ls_msg; ?></font></td>
							<td align="right" style="border-bottom:1px solid #FFF;"><img src="images/shao.gif">&nbsp;<a href="addworkshop.php"><u>添加工厂图片</u></a></td>
						</tr>
					</table><br>
					
					<?php
					// 获取当前页数
													if( isset($_GET['page']) ){
													   $page = intval( $_GET['page'] );
													}
													else{
													   $page = 1;
													}
													// 每页数量
													$PageSize = $PageNum;
													
													// 获取总数据量
													/********************************************************************************/
													
														$sql = "select * from ls_workshop order by ID desc";
														$result=$opendb->query($sql);
													
													/********************************************************************************/
													// 获取总数据量
													
													$row = mysql_num_rows($result);
													$amount = $row;
													
													// 记算总共有多少页
													if( $amount ){
													   if( $amount < $PageSize ){ $page_count = 1; }			   //如果总数据量小于$PageSize，那么只有一页
													   if( $amount % $PageSize ){								  //取总数据量除以每页数的余数
														   $page_count = (int)($amount / $PageSize) + 1;		   //如果有余数，则页数等于总数据量除以每页数的结果取整再加一
													   }else{
														   $page_count = $amount / $PageSize;					  //如果没有余数，则页数等于总数据量除以每页数的结果
													   }
													}
													else{
													   $page_count = 0;
													}
													
													// 翻页链接
													$page_string = '';
														
													if( $page == 1 ){
													   $page_string .= '首页 | 上一页 |';
													}
													else{
													   $page_string .= '<a href=?page=1><u><font color=\"#0000FF\">首页</font></u></a> | <a href=?page='.($page-1).'><u><font color=\"#0000FF\">上一页</font></u></a> | ';
													}
													if( ($page == $page_count) || ($page_count == 0) ){
													   $page_string .= ' 下一页 | 尾页';
													}
													else{
													   $page_string .= ' <a href=?page='.($page+1).'><u><font color=\"#0000FF\">下一页</font></u></a> | <a href=?page='.$page_count.'><u><font color=\"#0000FF\">尾页</font></u></a>';
													}
														 $page_string .= " &nbsp;&nbsp;页次：<font color='#FF0000'><b>".$page."</b></font>/<b>".$page_count."</b>页";
														 $page_string .= " &nbsp;&nbsp;<b>".$PageSize."</b>个产品每页";
														 
													$ls_msg2="车间图片管理 >> 所有车间图片";
					
					?>
					
				
				<table border="0" width="90%" align="center">
						<tr>
							<td><?php echo $ls_msg2; ?></td>
							<td align="right">共 <b><?php echo $row; ?></b> 个工厂图片</td>
						</tr>
					 </table>
					 <table width="90%" border="0" align="center" cellpadding="3" cellspacing="1" bgcolor="#FFFFFF">
						<tr bgcolor="#B9DAFF">
							<td align="center" height="25" width="32">选中</td>
							<td align="center" width="133">工厂图片</td>
							<td align="center" width="393">简介</td>
							<td align="center" colspan="2">排序</td>
							<td align="center" colspan="2">操作</td>
							<td align="center" width="32">允许</td>
						</tr>
						<?php
													$news_sql="select * from ls_workshop order by Num desc limit ". ($page-1)*$PageSize .",".$PageSize." ";	
													$news_query=$opendb->query($news_sql);
													$news_nums=mysql_num_rows($news_query); 
													$i=1;
													while($news_rows=mysql_fetch_assoc($news_query))
										 			 {
													echo "<tr bgcolor='#f4f4f4'";
												echo "onMouseOver=";
													echo " 	this.style.backgroundColor='#CCFFCC' ";
													echo "onMouseOut=";
													echo " 	this.style.backgroundColor='#f4f4f4' ";
													echo ">";
													echo "	<td align='center'>";
													echo "		<input name='select_id".$i."' type='checkbox' onclick=\"unselectall()\" id=\"select_id\" value='".$news_rows['ID']."'>";
													echo "	</td>";
												  echo "	<td style='padding-left:10px;'>";
												  echo "		<img src=\"..\\".$WorkShopFolders."\\".$SmallFoldersProducts."\\".$news_rows['workshopPic']."\" width=".$SmallPicW." height=".$SmallPicH." border=\"1\">"		;
												  echo "	</td>";
												  echo "	<td style='padding-left:10px;'>";
												  echo 		$news_rows['workshopText'];
												  echo "	</td>";
												  echo "	<td align='center'> ";
													 if($i!=1)
													{
														echo "	<a href='?id=".$news_rows['ID']."&nowNum=".$news_rows['Num']."&ls=up' title='向上移动'><img src='images/up.gif' border='0'></a>";				}
													echo "  </td>";
													echo "	<td align='center'> ";
													 if($i!=$news_nums)
													{
														echo "	 <a href='?id=".$news_rows['ID']."&nowNum=".$news_rows['Num']."&ls=down' title='向下移动'><img src='images/down.gif' border='0'></a>";		}
													echo "  </td>";
													echo "	<td align='center'> ";
													echo "		<a href='modiworkshop.php?id=".$news_rows['ID']."' title='编辑'><img src='images/b_edit.png' border='0'></a>";
													echo "  </td>";
													echo "	<td align='center'> ";
													echo "		<a href='?id=".$news_rows['ID']."&ls=del' onclick='return ConfirmDelSubCate();' title='删除'><img src='images/b_drop.png' border='0'></a>";
													echo "  </td>";
													echo "	<td align='center'>";
											  
													  if($news_rows['enable']==1)
														{
															echo "<a href='?id=".$news_rows['ID']."&ls=unenable' title='显示'><img src='images/enable.gif' border='0'></a>";
														}
													  if($news_rows['enable']==0)
													  	{
															echo "<a href='?id=".$news_rows['ID']."&ls=enable' title='不显示'><img src='images/unenable.gif' border='0'></a>";
														}
																				
													echo "	</td>";
												  echo "</tr>";
												  
												  $i++;
												 }
												 	echo "<tr bgcolor=\"#B9DAFF\">";
												  echo "<td colspan='8' align='center' height='25'>";
												  echo $page_string;
												  echo "</td>";
												  echo "</tr>";
						
					?>
					</table>
					<br>
					<table width="90%" border="0" align="center" cellpadding="3" cellspacing="1" >
					<tr >
							<td style="padding-left:6px;" colspan="8">
								<input name="chkAll" type="checkbox" id="chkAll" onclick=CheckAll(this.form) value="checkbox">
							    选中所有工厂图片
						  <input name="submit" type='submit' value='删除选定的工厂图片'>
								<input name="Action" type="hidden" id="Action" value="workDel">
								</td>
						</tr>
					</table>
					<br />
                  </form>
				
					
				</td>
			</tr>
	</table>
 </body>
</html>